<?php
namespace Planejamento\Repositories;

class Cnfdistcard extends \Doctrine\ORM\EntityRepository
{


    public static function GetNrembdistcard($nrdistcard, $nrseqprat){
        $sql = <<<SQL
SELECT NREMBDISTCARD
FROM itembdistcard
WHERE NRDISTCARD =:NRDISTCARD
AND NRSEQPRATCAR =:NRSEQPRAT
ORDER BY NRDISTCARD
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NRSEQPRAT' =>$nrseqprat);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function getSequenciaPrato($cdprato, $nrdistcard){
        $sql = <<<SQL
SELECT NRSEQPRATCAR
FROM CNFDISTCARD
WHERE CDPRATO  =:CDPRATO
AND NRDISTCARD =:NRDISTCARD
SQL;
        $params = array(
            'CDPRATO' =>$cdprato,
            'NRDISTCARD' =>$nrdistcard);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function UpdateCnfdistcard($qtd_pessoa,$qtcomensais, $nrdistcard, $nrseqprat){

        $sql = <<<SQL
UPDATE CNFDISTCARD
SET QTPORPESSOA = :P_QTPORPESSOA,
    QTTOTPRATO = :QTTOTCOMENSAIS * :P_QTPORPESSOA,
    IDCADAUTO = 'N'
WHERE NRDISTCARD = :P_NRDISTCARD
      AND NRSEQPRATCAR = :P_NRSEQPRATCAR
SQL;
        $params = array(
            'P_QTPORPESSOA' => $qtd_pessoa,
            'P_NRDISTCARD' =>$nrdistcard,
            'P_NRSEQPRATCAR' =>$nrseqprat,
            'QTTOTCOMENSAIS' =>$qtcomensais);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
   }

    public static function InsertEmbdistcard($nrembdistcard, $nrdistcard,$cdcontainer,$qtdcontainer, $observacao, $nrorginclusao,
                                             $nrorgultatu, $dtinclusao, $dtultatul, $cdoperinclusao, $cdoperultatu){

        $sql = <<<SQL
INSERT INTO EMBDISTCARD
(NRDISTCARD, NREMBDISTCARD, CDCONTAINER,
QTCONTAINER, DSOBSETIQUETA, NRORG, NRORGINCLUSAO,NRORGULTATU, DTINCLUSAO, DTULTATU, CDOPERINCLUSAO, CDOPERULTATU)
 VALUES
(:P_NRDISTCARD, :P_NREMBDISTCARD, :P_CDCONTAINER,
:P_QTCONTAINER, :P_DSOBSETIQUETA, :NRORG, :NRORGINCLUSAO,:NRORGULTATU,
:DTINCLUSAO, :DTULTATU, :CDOPERINCLUSAO, :CDOPERULTATU)
SQL;
        $params = array(
            'P_NRDISTCARD' =>$nrdistcard,
            'P_NREMBDISTCARD' =>$nrembdistcard,
            'P_CDCONTAINER' =>$cdcontainer,
            'P_QTCONTAINER' =>$qtdcontainer,
            'P_DSOBSETIQUETA' =>$observacao,
            'NRORG' => $nrorginclusao,
            'NRORGINCLUSAO'=>$nrorginclusao,
            'NRORGULTATU'=>$nrorgultatu,
            'DTINCLUSAO'=>$dtinclusao,
            'DTULTATU'=>$dtultatul,
            'CDOPERINCLUSAO'=>$cdoperinclusao,
            'CDOPERULTATU'=>$cdoperultatu

        );
        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function InsertItembdistcard($nrdistcard, $nrseqpratcar, $nrembdistcard, $qtcomensais, $qtprato, $qtextra, $idprincipal,
                                               $nrorginclusao, $nrorgultatu, $dtinclusao, $dtultatul, $cdoperinclusao, $cdoperultatu){
        $sql = <<<SQL
INSERT INTO ITEMBDISTCARD
(NRDISTCARD, NRSEQPRATCAR, NREMBDISTCARD,
 QTCOMENSAIS, QTPRATO, QTEXTRA, IDPRINCIPAL, NRORG, NRORGINCLUSAO,NRORGULTATU,
DTINCLUSAO, DTULTATU, CDOPERINCLUSAO, CDOPERULTATU)
VALUES
(:P_NRDISTCARD, :P_NRSEQPRATCAR, :P_NREMBDISTCARD,
 :P_QTCOMENSAIS, :P_QTPRATO, :P_QTEXTRA, :P_IDPRINCIPAL, :NRORG, :NRORGINCLUSAO,:NRORGULTATU,
:DTINCLUSAO, :DTULTATU, :CDOPERINCLUSAO, :CDOPERULTATU)
SQL;
        $params = array(
            'P_NRDISTCARD' =>$nrdistcard,
            'P_NRSEQPRATCAR' =>$nrseqpratcar,
            'P_NREMBDISTCARD' => $nrembdistcard,
            'P_QTCOMENSAIS' => $qtcomensais,
            'P_QTPRATO' => $qtprato,
            'P_QTEXTRA' => $qtextra,
            'P_IDPRINCIPAL' => $idprincipal,
            'NRORG' => $nrorginclusao,
            'NRORGINCLUSAO'=>$nrorginclusao,
            'NRORGULTATU'=>$nrorgultatu,
            'DTINCLUSAO'=>$dtinclusao,
            'DTULTATU'=>$dtultatul,
            'CDOPERINCLUSAO'=>$cdoperinclusao,
            'CDOPERULTATU'=>$cdoperultatu
        );

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

   public static function DeletaEmbdistcard($nrdistcard){

            $sql = <<<SQL
DELETE FROM EMBDISTCARD
WHERE NRDISTCARD = :P_NRDISTCARD
SQL;
            $params = array(
                'P_NRDISTCARD' =>$nrdistcard);

            try{
                $conn = \Setforms2\Runtime\Connection::getInstance();
                $conn->execute($sql, $params);
            } catch (\Exception $e) {
                throw $e;
            }
        }

    public static function DeletaItemDistcard($nrdistcard){

        $sql = <<<SQL
DELETE FROM ITEMBDISTCARD
WHERE NRDISTCARD = :P_NRDISTCARD
SQL;
        $params = array(
            'P_NRDISTCARD' =>$nrdistcard);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function DeletaCnfDistcard($nrdistcard){

        $sql = <<<SQL
DELETE FROM CNFDISTCARD
WHERE NRDISTCARD = :P_NRDISTCARD
SQL;
        $params = array(
            'P_NRDISTCARD' =>$nrdistcard);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public static function ConfereNrembdistcard($nremb, $nrdistcard){
        $sql = <<<SQL
SELECT NREMBDISTCARD FROM EMBDISTCARD WHERE NRDISTCARD =:NRDISTCARD AND NREMBDISTCARD=:NREMBDISTCARD
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nremb);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }


    }

    public static function DeletaLinhaItembdistcard($nrdistcard, $nrembdistcard){
        $sql = <<<SQL
DELETE FROM ITEMBDISTCARD
WHERE NRDISTCARD = :NRDISTCARD AND NREMBDISTCARD = :NREMBDISTCARD
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function DeletaLinhaEmbdistcard($nrdistcard, $nrembdistcard){
        $sql = <<<SQL
DELETE FROM EMBDISTCARD
WHERE NRDISTCARD = :NRDISTCARD AND NREMBDISTCARD = :NREMBDISTCARD
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }
    public static function BuscaNrseqprat($cdprato, $nrdistcard){
        $sql = <<< SQL
SELECT NRSEQPRATCAR FROM CNFDISTCARD WHERE NRDISTCARD = :NRDISTCARD AND CDPRATO = :CDPRATO ORDER BY NRDISTCARD
SQL;
        $params = array(
            'CDPRATO' =>$cdprato,
            'NRDISTCARD' =>$nrdistcard);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
        $sql = $sql[0];
        if($sql){
            $seqprat = $sql['NRSEQPRATCAR'];
        }else{
            $seqprat= false;
        }
        return $seqprat;

    }

    public static function ConfereItembalagem($nrdistcard,$nrembdistcard){

        $sql = <<<SQL
SELECT NREMBDISTCARD FROM ITEMBDISTCARD WHERE
NRDISTCARD = '$nrdistcard'  AND NREMBDISTCARD= '$nrembdistcard'
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

        $sql = $sql[0];
        if($sql){
            $nremb = $sql['NREMBDISTCARD'];
        }else{
            $nremb = false;
        }
        return $nremb;
    }

    public static function DeletaPratoItembdistcard($nrdistcard, $nrembdistcard, $nrseqprat){
        $sql = <<<SQL
DELETE FROM ITEMBDISTCARD
WHERE NRDISTCARD = :NRDISTCARD AND NREMBDISTCARD = :NREMBDISTCARD
 AND NRSEQPRATCAR = :NRSEQPRATCAR
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard,
            'NRSEQPRATCAR' =>$nrseqprat);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function UpdateEmbdistcard($cdcontainer, $qtcontainer, $obs,
    $nrdistcard, $nrembdistcard, $nrorgultatu, $dtultatul,$cdoperultatu){
        $sql = <<<SQL
UPDATE EMBDISTCARD
SET CDCONTAINER =:CDCONTAINER,
    QTCONTAINER =:QTCONTAINER,
    DSOBSETIQUETA =:DSOBSETIQUETA,
    NRORGULTATU=:NRORGULTATU,
    DTULTATU=:DTULTATU,
    CDOPERULTATU=:CDOPERULTATU
WHERE NRDISTCARD =:NRDISTCARD
      AND  NREMBDISTCARD =:NREMBDISTCARD

SQL;
        $params = array(
            'CDCONTAINER'=>$cdcontainer,
            'QTCONTAINER'=>$qtcontainer,
            'DSOBSETIQUETA'=>$obs,
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard,
            'NRORGULTATU'=>$nrorgultatu,
            'DTULTATU'=>$dtultatul,
            'CDOPERULTATU'=>$cdoperultatu);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }
    public static function UpdateItembdistcard($qtcomensais, $qtprato, $qtextra,
                                             $nrdistcard, $nrembdistcard, $nrseqprat, $nrorgultatu, $dtultatul,$cdoperultatu){
        $sql = <<<SQL
UPDATE ITEMBDISTCARD
SET QTCOMENSAIS =:QTCOMENSAIS,
    QTPRATO =:QTPRATO,
    QTEXTRA =:QTEXTRA,
    NRORGULTATU=:NRORGULTATU,
    DTULTATU=:DTULTATU,
    CDOPERULTATU=:CDOPERULTATU
WHERE NRDISTCARD =:NRDISTCARD
      AND  NREMBDISTCARD =:NREMBDISTCARD AND NRSEQPRATCAR=:NRSEQPRAT

SQL;
        $params = array(
            'QTCOMENSAIS'=>$qtcomensais,
            'QTPRATO'=>$qtprato,
            'QTEXTRA'=>$qtextra,
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard,
            'NRSEQPRAT' =>$nrseqprat,
            'NRORGULTATU'=>$nrorgultatu,
            'DTULTATU'=>$dtultatul,
            'CDOPERULTATU'=>$cdoperultatu);

        try{
            $conn = \Setforms2\Runtime\Connection::getInstance();
            $conn->execute($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function ConfereItembalagemIndividual($nrdistcard,$nrembdistcard, $nrseqprat){

        $sql = <<<SQL
SELECT NREMBDISTCARD FROM ITEMBDISTCARD WHERE
NRDISTCARD = '$nrdistcard'  AND NREMBDISTCARD= '$nrembdistcard' AND NRSEQPRATCAR= '$nrseqprat'
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NREMBDISTCARD' =>$nrembdistcard,
            'NRSEQPRATCAR' =>$nrseqprat);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

        $sql = $sql[0];
        if($sql){
            $nremb = $sql['NREMBDISTCARD'];
        }else{
            $nremb = false;
        }
        return $nremb;
    }


    public static function BuscaQtprato($nrdistcard,$nrseqprat){

        $sql = <<<SQL
SELECT QTTOTPRATO FROM CNFDISTCARD WHERE NRDISTCARD=:NRDISTCARD AND
NRSEQPRATCAR=:NRSEQPRATCAR
SQL;
        $params = array(
            'NRDISTCARD' =>$nrdistcard,
            'NRSEQPRATCAR' =>$nrseqprat);

        try{
            $conn = \Setforms2\Shared\Registry::getEntityManager();
            $conn = $conn->getConnection();
            return $conn-> fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }

        return $sql;
    }


}